Subject: Re: bug#36333: Misleading hint for url-fetch

From: Gábor Boskovits <[email-masked]>
Date: Sun, 23 Jun 2019 06:18:18 +0000

Hello,

Tobias Geerinckx-Rice <[email-masked]> ezt írta (időpont: 2019. jún. 22.,
Szo, 20:24):

> Guix,
>
> I just encountered the following:
>
>
I've also seen that.

  foo.scm:4:2: error: url-fetch: unbound variable
>   hint: Did you forget `(use-modules (guix build download))'?
>
> Actually importing that module, instead of (guix download), will
> cause some other very hard-to-debug error that I can't remember
> but coincidentally helped someone fix on #guix the other day.
>
> Now I understand how they got to that bad place.
>
> Kind regards,
>
> T G-R
>

Best regards,
g_bor